import * as React from 'react';
import { Text } from 'ink';
import SelectInput from 'ink-select-input';
import { SelectInputChoice } from './SelectInputChoice.js';
import { Stack } from './Stack.js';
export const SupportedAuthProviders = [
    {
        label: 'Hard coded local username/password',
        value: 'local-auth-provider',
        description: 'Hard coded local username/password',
    },
    { label: 'None', value: 'none', description: 'No authProvider' },
];
export const StepAuthProvider = ({ onSubmit, }) => {
    const handleSelect = (item) => {
        onSubmit(item.value);
    };
    return (React.createElement(Stack, null,
        React.createElement(Text, null, "Select the auth provider you want to use, and validate with Enter:"),
        React.createElement(SelectInput, { items: SupportedAuthProviders, itemComponent: SelectInputChoice, onSelect: handleSelect, initialIndex: 0 })));
};
//# sourceMappingURL=StepAuthProvider.js.map