import * as React from 'react';
import { Text } from 'ink';
import SelectInput from 'ink-select-input';
import { SelectInputChoice } from './SelectInputChoice.js';
import { Stack } from './Stack.js';
export const SupportedDataProviders = [
    {
        label: 'Fakerest',
        value: 'ra-data-fakerest',
        description: 'A client-side, in-memory data provider that use a JSON object as its initial data.',
    },
    {
        label: 'JSON Server',
        value: 'ra-data-json-server',
        description: 'A data provider based on the JSON Server API (https://github.com/typicode/json-server)',
    },
    {
        label: 'Simple REST',
        value: 'ra-data-simple-rest',
        description: 'A Simple REST data provider (https://github.com/marmelab/react-admin/tree/master/packages/ra-data-simple-rest)',
    },
    {
        label: 'Supabase',
        value: 'ra-supabase',
        description: 'Generate an application using ra-supabase. The auth-provider and resources steps will be skipped.',
    },
    {
        label: 'None',
        value: 'none',
        description: "I'll configure the data provider myself.",
    },
];
export const StepDataProvider = ({ onSubmit, }) => {
    const handleSelect = (item) => {
        onSubmit(item.value);
    };
    return (React.createElement(Stack, null,
        React.createElement(Text, null, "Select the data provider you want to use, and validate with Enter:"),
        React.createElement(SelectInput, { items: SupportedDataProviders, itemComponent: SelectInputChoice, onSelect: handleSelect, initialIndex: 0 })));
};
//# sourceMappingURL=StepDataProvider.js.map