import * as React from 'react';
import { Text } from 'ink';
import SelectInput from 'ink-select-input';
import { SelectInputChoice } from './SelectInputChoice.js';
import { Stack } from './Stack.js';
const choices = [
    {
        label: 'Using npm',
        value: 'npm',
    },
    {
        label: 'Using yarn',
        value: 'yarn',
    },
    {
        label: 'Using bun',
        value: 'bun',
    },
    {
        label: 'Using pnpm',
        value: 'pnpm',
    },
    {
        label: "Don't install dependencies, I'll do it myself.",
        value: 'skip',
    },
];
export const StepInstall = ({ onSubmit, }) => {
    const handleSelect = (item) => {
        onSubmit(item.value);
    };
    return (React.createElement(Stack, null,
        React.createElement(Text, null, "How do you want to install the dependencies?"),
        React.createElement(SelectInput, { items: choices, itemComponent: SelectInputChoice, onSelect: handleSelect, initialIndex: 0 })));
};
//# sourceMappingURL=StepInstall.js.map