import * as React from 'react';
import { useState } from 'react';
import TextInput from 'ink-text-input';
import { Text } from 'ink';
import { Stack } from './Stack.js';
export const StepResources = ({ onSubmit, }) => {
    const [value, setValue] = useState('');
    const [resources, setResources] = useState([]);
    const handleSubmit = (value) => {
        if (value === '') {
            onSubmit(resources);
        }
        else {
            setResources([...resources, value]);
            setValue('');
        }
    };
    return (React.createElement(Stack, null,
        React.createElement(Text, { bold: true }, resources.length > 0
            ? `Resources: ${resources.join(', ')}`
            : 'No resource yet'),
        React.createElement(Text, null, "Enter the name of a resource you want to add, and validate with Enter (leave empty to finish):"),
        React.createElement(TextInput, { value: value, onChange: v => setValue(v), onSubmit: handleSubmit })));
};
//# sourceMappingURL=StepResources.js.map