import React, { useEffect } from 'react';
import { Box, Text } from 'ink';
import Spinner from 'ink-spinner';
import { useInstallDeps } from './useInstallDeps.js';
import { useRunFormatter } from './useRunFormatter.js';
export const StepRunInstall = ({ config, onCompleted, }) => {
    const installDeps = useInstallDeps();
    const runFormatter = useRunFormatter();
    useEffect(() => {
        installDeps(config).then(() => {
            runFormatter(config).then(() => {
                onCompleted({});
            });
        });
        // Disabled as we want to run this only once
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    return (React.createElement(Box, { gap: 1 },
        React.createElement(Text, { color: "green" },
            React.createElement(Spinner, { type: "dots" })),
        React.createElement(Text, null, "Installing dependencies...")));
};
//# sourceMappingURL=StepRunInstall.js.map