import path from 'path';
import fs from 'fs';
export const generateAppTestFile = (projectDirectory, state) => {
    fs.writeFileSync(path.join(projectDirectory, 'src', 'App.spec.tsx'), `
import { fireEvent, render, screen } from "@testing-library/react";
import { MemoryRouter } from "react-router";
import { App } from "./App";

test("should pass", async () => {
  vi.spyOn(window, "scrollTo").mockImplementation(() => { /* do nothing */ });
  render(
    <MemoryRouter>
      <App />
    </MemoryRouter>,
  );
    ${state.authProvider !== 'none'
        ? `

  // Sign in

  fireEvent.change(
    await screen.findByLabelText("Username *", undefined, { timeout: 4000 }),
    {
      target: { value: "janedoe" },
    },
  );
  fireEvent.change(await screen.findByLabelText("Password *"), {
    target: { value: "password" },
  });
  fireEvent.click(await screen.findByText("Sign in"));`
        : ''}

  // Open the first post
  fireEvent.click(
	  await screen.findByText("Posts", undefined, { timeout: 4000 }),
  );
  fireEvent.click(
    await screen.findByText("Post 1", undefined, { timeout: 8000 }),
  );
  fireEvent.click(
    await screen.findByText("Edit", undefined, { timeout: 4000 }),
  );
  await screen.findByDisplayValue("Post 1");
  // Update its title
  fireEvent.change(await screen.findByDisplayValue("Post 1"), {
    target: { value: "Post 1 edited" },
  });
  fireEvent.click(await screen.findByText("Save"));
  await screen.findByText("Post 1 edited");

  // Navigate to the comments
  fireEvent.click(await screen.findByText("Comments"));
  // Open the first comment
  fireEvent.click(await screen.findByText("Comment 1"));
  fireEvent.click(await screen.findByText("Edit"));
  await screen.findByDisplayValue("Post 1 edited");
  // Edit the comment selected post
  fireEvent.click(await screen.findByDisplayValue("Post 1 edited"));
  fireEvent.click(await screen.findByText("Post 11"));
  fireEvent.click(await screen.findByText("Save"));
  // Check the comment has been updated by finding the post link in the comments list page
  await screen.findByText("Post 11", { selector: "a *" });
}, 20000);

    `);
};
//# sourceMappingURL=generateAppTestFile.js.map