import execa from 'execa';
import { useStderr, useStdout } from 'ink';
export const useInstallDeps = () => {
    const { stdout } = useStdout();
    const { stderr } = useStderr();
    return async (state) => {
        const command = execa(`${state.installer}`, ['install'], {
            cwd: `./${state.name}`,
        });
        command.stdout.pipe(stdout);
        command.stderr.pipe(stderr);
        await command;
    };
};
//# sourceMappingURL=useInstallDeps.js.map